Skip to main content
`Ctrl`+`K`

# SNESGetGridSequence

gets the number of steps of grid sequencing that `SNES` will do

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetGridSequence(SNES snes, PetscInt *steps)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- steps - the number of refinements to do, defaults to 0

## See Also

SNES: Nonlinear Solvers, `SNESGetLagPreconditioner()`, `SNESSetLagJacobian()`, `SNESGetLagJacobian()`, `SNESSetGridSequence()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages